Bug 140929 - selecting empty line adds space to it
selecting empty line adds space to it
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Depends On:
  Show dependency treegraph
Reported: 2004-11-26 10:58 EST by Aleksandar Milivojevic
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 15:32:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aleksandar Milivojevic 2004-11-26 10:58:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
When selecting region that contains empty lines, space is added to
each empty line.  Let say terminal window displayes this (I've
replaced all spaces with "_" (underscore) for clarity):



If above region is selected (three lines, one of which is empty) and
than pasted, what will be pasted looks like this:


Empty line was replaced with line that has " " (space) at the
beggining.  Usually this isn't the problem, sometimes it is just minor
annoyance (vi file & :%s/^ $//g), and in very rare cases it is major
pain in the butt ;-)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Select region that contain at least one empty line
2. Paste it into (any) editor
3. If you check, you'll see that empty line was replaced with line
that has space at the begining of the line.

Additional info:
Comment 1 Aleksandar Milivojevic 2004-11-26 11:05:28 EST
Oh, one thing I forgot to ask.  This more kind of feature request than
bug.  How much work would it take to preserve tabs when cut&pasting
(or select&pasting)?  It would make selecting and pasting (for
example) sendmail rewriting rules possible (currently, this informatin
is lost, all tabs are expanded to spaces when region of text is
selected).  It would be kind of nice thing to have.  If it doesn't
require too much work to implement, of course.
Comment 2 Matthew Miller 2006-07-10 17:30:56 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-31 15:32:59 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.
Comment 4 Aleksandar Milivojevic 2006-11-03 10:24:44 EST
Sory for the lack of response.  I've switched to KDE some time ago.  Anyhow. 
I've retested it with gnome-terminal-2.7.3-2 under RHEL4, and the problem seems
to have been fixed.
Comment 5 Behdad Esfahbod 2006-11-06 17:26:19 EST
Yes, this is definitely fixed.

Note You need to log in before you can comment on or make changes to this bug.